summaryrefslogtreecommitdiff
path: root/testdist.sh
diff options
context:
space:
mode:
authorBent Bisballe Nyeng <deva@aasimon.org>2016-03-24 13:04:21 +0100
committerBent Bisballe Nyeng <deva@aasimon.org>2016-03-24 13:04:21 +0100
commit6511ddfdc03dd587ef3f406c660b1ff10fe5bd04 (patch)
tree6eb6b8340340614c0454f0e48d67d1fbaeada97c /testdist.sh
parent0ac99547d9b2a860af939f24d2449947787ff86d (diff)
Also compile linux-vst when testing dist.
Diffstat (limited to 'testdist.sh')
-rwxr-xr-xtestdist.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/testdist.sh b/testdist.sh
index b964715..c7c6bfc 100755
--- a/testdist.sh
+++ b/testdist.sh
@@ -6,6 +6,13 @@ then
exit 1
fi
+if [ "$VST_BASE" == "" ]
+then
+ echo "Set the absolute VST_BASE variable."
+ exit 1
+fi
+
+
VER=$1
make dist && (
@@ -14,7 +21,8 @@ make dist && (
rm -Rf drumgizmo-$VER
tar xvzf ../drumgizmo-$VER.tar.gz
cd drumgizmo-$VER
- ./configure --enable-lv2 --enable-cli --prefix=/usr
+ ./configure --enable-lv2 --enable-cli --enable-vst \
+ --with-vst-sources="$VST_BASE" --prefix=/usr
make
DESTDIR=$PWD/tst/install make install
)